Type to search.

Restart Deployment Elasticsearch Resource

Base URL
https://api.elastic-cloud.com/api/v1
No auth

Restarts an Elasticsearch Resource. If a Resource is active: this command re-applies the existing plan but applies a "cluster_reboot", which issues a restart command and waits for it to complete. If a Resource is inactive: this command starts it up with the most recent successful plan.

Path parameters

deployment_id string required

Identifier for the Deployment.

ref_id string required

User-specified RefId for the Resource (or '_main' if there is only one).

Query parameters

restore_snapshot boolean · default: true

When set to true and restoring from shutdown, then will restore the cluster from the last snapshot (if available).

skip_snapshot boolean · default: true

If true, will not take a snapshot of the cluster before restarting.

cancel_pending boolean · default: false

If true, cancels any pending plans before restarting. If false and there are pending plans, returns an error.

group_attribute string · default: __zone__

Indicates the property or properties used to divide the list of instances to restart in groups. Valid options are: '__all__' (restart all at once), '__zone__' by logical zone, '__name__' one instance at a time, or a comma-separated list of attributes of the instances

shard_init_wait_time integer · default: 600

The time, in seconds, to wait for shards that show no progress of initializing, before rolling the next group (default: 10 minutes)

Responses

The restart command was issued successfully.

application/json